> For the complete documentation index, see [llms.txt](https://docs.zipy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zipy.ai/zipy-for-mobile/flutter-setup/firebase-integration.md).

# Firebase Integration

If you are using Firebase for capturing crashes and ANRs or freezes in your application, then Zipy adds much more information to those with a seamless integration. You can now link the Zipy session to your crashes and observe the actions performed by the user before the crash and identify any network or framework error that led to a crash or freeze for end-to-end debugging.&#x20;

Here are the simple steps to integrate Zipy with Firebase:

1. Retrieve the current session URL in your app with Zipy’s getCurrentSessionUrl function, enabling you to obtain and utilize the session’s URL dynamically. Here is a sample code snippet:

```javascript
const sessionUrl = zipy.getCurrentSessionUrl();
console.log('Current session URL:', sessionUrl);
```

2\. Add this url to Firebase as a key so the session url is passed with any crash or ANR

```javascript
FirebaseCrashlytics.instance.setCustomKey('ZipySessionURL',sessionUrl );
```

Now, with every crash or freeze, Zipy’s session url will be passed to Firebase and you can get more insights on the crashes from the replays.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zipy.ai/zipy-for-mobile/flutter-setup/firebase-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
